package signals;


public class SyncSignal extends Signals
{
	private static final long serialVersionUID = 1L;
  
	private int nb_points = 100;
	
	public SyncSignal(String name)
	{
		this.name = name;
		this.dependsOnClk = true;
		this.type = "signal";
	}
  
	public SyncSignal(String name, int clockDomain)
	{
		setId();
		this.name = name;
		this.dependsOnClk = true;
		this.clockDomainId = clockDomain;
		this.type = "signal";

		for (int i = 0; i < nb_points; i++) // 500
		{
			this.wave[i] = 0;
		}
	}
  
	public void generate(boolean beginOnRisingEdge) {}

}
